Extensible Authentication Protocol API

Integrates WinStd classes with Microsoft EAP API. More...

## Classes

struct | winstd::EapHostPeerFreeMemory_delete
| Deleter for unique_ptr using EapHostPeerFreeMemory. More...
struct | winstd::EapHostPeerFreeRuntimeMemory_delete
| Deleter for unique_ptr using EapHostPeerFreeRuntimeMemory. More...
struct | winstd::EapHostPeerFreeErrorMemory_delete
| Deleter for unique_ptr to EAP_ERROR using EapHostPeerFreeErrorMemory. More...
struct | winstd::EapHostPeerFreeEapError_delete
| Deleter for unique_ptr to EAP_ERROR using EapHostPeerFreeEapError. More...
class | winstd::eap_attr
| EAP_ATTRIBUTE wrapper class. More...
class | winstd::eap_method_prop
| EAP_METHOD_PROPERTY wrapper class. More...
class | winstd::eap_packet
| EapPacket wrapper class. More...
class | winstd::eap_method_info_array
| EAP_METHOD_INFO_ARRAY wrapper class. More...

## Typedefs

typedef std::unique_ptr< BYTE[], EapHostPeerFreeMemory_delete > | winstd::eap_blob
| EapHost BLOB wrapper class.
typedef std::unique_ptr< BYTE[], EapHostPeerFreeRuntimeMemory_delete > | winstd::eap_blob_runtime
| EapHost BLOB wrapper class.
typedef std::unique_ptr< EAP_ERROR, EapHostPeerFreeErrorMemory_delete > | winstd::eap_error
| EAP_ERROR wrapper class.
typedef std::unique_ptr< EAP_ERROR, EapHostPeerFreeEapError_delete > | winstd::eap_error_runtime
| EAP_ERROR wrapper class.

## Enumerations

enum class

winstd::eap_type_t : unsigned char {
eap_type_t::undefined = 0 , eap_type_t::identity = 1 , eap_type_t::notification = 2 , eap_type_t::nak = 3 ,
eap_type_t::md5_challenge = 4 , eap_type_t::otp = 5 , eap_type_t::gtc = 6 , eap_type_t::tls = 13 ,
eap_type_t::ttls = 21 , eap_type_t::peap = 25 , eap_type_t::mschapv2 = 26 , eap_type_t::ms_auth_tlv = 33 ,
eap_type_t::gtcp = 128 + gtc , eap_type_t::legacy_pap = 192 , eap_type_t::legacy_mschapv2 = 193 , eap_type_t::start = 1 ,
eap_type_t::end = 192 , eap_type_t::noneap_start = 192 , eap_type_t::noneap_end = 254
}

| EAP method numbers. More...

## Detailed Description

Integrates WinStd classes with Microsoft EAP API.

## Enumeration Type Documentation

## eap_type_t

enum class winstd::eap_type_t : unsigned char

strong

EAP method numbers.

See also
  Extensible Authentication Protocol (EAP) Registry (Chapter: Method Types)

Enumerator
undefined | Undefined EAP type.
identity | Identity.
notification | Notification.
nak | Legacy Nak.
md5_challenge | MD5-Challenge.
otp | One-Time Password (OTP)
gtc | Generic Token Card (GTC)
tls | EAP-TLS.
ttls | EAP-TTLS.
peap | PEAP.
mschapv2 | EAP-MSCHAPv2.
ms_auth_tlv | MS-Authentication-TLV.
gtcp | EAP-GTC using a password.
legacy_pap | PAP (Not actually an EAP method; Moved to the Unassigned area)
legacy_mschapv2 | MSCHAPv2 (Not actually an EAP method; Moved to the Unassigned area)
start | Start of EAP methods.
end | End of EAP methods (non-inclusive)
noneap_start | Start of non-EAP methods.
noneap_end | End of non-EAP methods (non-inclusive)